package com.ruoyi.oa.service;

import com.ruoyi.oa.domain.vo.OaProjectScheduleVo;
import com.ruoyi.oa.domain.bo.OaProjectScheduleBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 项目进度Service接口
 *
 * @author haka
 * @date 2025-05-08
 */
public interface IOaProjectScheduleService {

    /**
     * 查询项目进度
     */
    OaProjectScheduleVo queryById(Long scheduleId);

    /**
     * 查询项目进度列表
     */
    TableDataInfo<OaProjectScheduleVo> queryPageList(OaProjectScheduleBo bo, PageQuery pageQuery);

    /**
     * 查询项目进度列表
     */
    List<OaProjectScheduleVo> queryList(OaProjectScheduleBo bo);

    /**
     * 新增项目进度
     */
    Boolean insertByBo(OaProjectScheduleBo bo);

    /**
     * 修改项目进度
     */
    Boolean updateByBo(OaProjectScheduleBo bo);

    /**
     * 校验并批量删除项目进度信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    /**
     * 完成进度
     *
     * @param bo
     * @return
     */
    boolean complete(OaProjectScheduleBo bo);
}
